Bug 622737 - radeon: fail to resume on 2.6.34 ([drm] wait for fifo failed status : 0xA23334AC 0x00000003S)
radeon: fail to resume on 2.6.34 ([drm] wait for fifo failed status : 0xA2333...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 05:47 EDT by A. Folger
Modified: 2011-06-28 10:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:46:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt of /var/log/messages, using the testing/debugging kernel (167.80 KB, text/plain)
2010-09-13 14:29 EDT, A. Folger
no flags Details

  None (edit)
Description A. Folger 2010-08-10 05:47:08 EDT
Description of problem:
Suspend/resume often fails
Either it hangs, or it restarts upon me clicking suspend, without being asked, or it hangs while repeatedly sounding the shutoff sound (ouch, that's loud), or it suspends fine, but it refuses to resume afterwards.

Version-Release number of selected component (if applicable):
Fedora 13 with all updates applied, on an x86_64.

How reproducible:
Sometimes. Seems random.

Steps to Reproduce:
1. Click from GUI dialog Suspend
2. Either it now hangs, or, if it suspends properly ...
3. Switch computer on, and see how sometimes it doesn't resume.
  
Actual results:
See above

Expected results:
Proper, failure free suspend and resume.

Additional info:
I tried allowing vbetool to access mmap_low, and that turned out to make every suspend work, but every resume failed in a very interesting way: the computer resumed, but couldn't wake up the screen, so I could issue commands blindly (basically, switch to a text console, log in and type reboot), but not otherwise use the machine.

Some more data:
# rpm -q kernel selinux-policy selinux-policy-targeted vbetool
kernel-2.6.33.5-124.fc13.x86_64
kernel-2.6.33.6-147.fc13.x86_64
kernel-2.6.33.6-147.2.4.fc13.x86_64
selinux-policy-3.7.19-39.fc13.noarch
selinux-policy-targeted-3.7.19-39.fc13.noarch
vbetool-1.2.2-1.fc12.x86_64
# dmidecode
<SNIP>
Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
        Manufacturer: ASUSTeK Computer INC.
        Product Name: M4A88T-M
<SNIP>
Handle 0x0004, DMI type 4, 40 bytes
Processor Information
        Socket Designation: AM3
<SNIP>
#

Oh, I previously reported this here: https://bugzilla.redhat.com/show_bug.cgi?id=528022
Comment 2 A. Folger 2010-09-13 14:29:56 EDT
Created attachment 447009 [details]
excerpt of /var/log/messages, using the testing/debugging kernel

I just updated to the latest kernel, and installed the koji debugging kernel 2.6.34.6-54.fc13.x86_64 for some bug reports.

While the computer suspends properly, it now hangs upon resume. I wanted to test a few times, and can confirm that it hangs every time. Therefore, I cannot say whether or not the patch works for the network, I never get that far.

I am attaching an excerpt of /var/log/messages.

File starts with successful boot at 15:06:14. Resume at about the middle of the
file (about line 750), at 16:17.

It was suggested that this may be related to Xorg, here:
https://bugzilla.redhat.com/show_bug.cgi?id=629158#c8
Comment 3 A. Folger 2010-10-18 17:59:59 EDT
This problem has disappeared, after I switched from using a VGA cable to using DVI. My problem in these bugs also disappeared:
https://bugzilla.redhat.com/show_bug.cgi?id=538486
https://bugzilla.redhat.com/show_bug.cgi?id=629282

I would be interested in learning why there are these problems with the VGA setup but not with DVI, though.
Comment 4 Bug Zapper 2011-06-01 07:45:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 10:46:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.